> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atlast.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Carrier Dropoffs

> This endpoint will retrieve dropoffs points and their geo coordinates for supported carriers. <br />
As the data for these changes very slowly, we advise that users of this endpoint cache the results to help reduce the load on our systems. <br />
We cache the results based on the carrier and the postcode, to help with this process, please ensure the postcode is normalised with no spaces and lowercase letters. <br />
**Example: AB1 2CD => ab12cd**

<Note>
  Not all carriers At Last supports can provide PUDO locations.
  We currently support YODEL and EVRI.
</Note>


## OpenAPI

````yaml get /carriers/dropoffs
openapi: 3.0.0
info:
  title: At Last Public Api Service
  description: This is the At Last public api specification.
  version: v1
servers:
  - url: https://api.atlast.co/v1
    description: Production
    variables: {}
security: []
tags: []
paths:
  /carriers/dropoffs:
    get:
      description: >-
        This endpoint will retrieve dropoffs points and their geo coordinates
        for supported carriers. <br />

        As the data for these changes very slowly, we advise that users of this
        endpoint cache the results to help reduce the load on our systems. <br
        />

        We cache the results based on the carrier and the postcode, to help with
        this process, please ensure the postcode is normalised with no spaces
        and lowercase letters. <br />

        **Example: AB1 2CD => ab12cd**
      operationId: CarrierDropoffLocations_getCarrierDropoffLocations
      parameters:
        - name: postCode
          in: query
          required: true
          description: >-
            Normalised postcode to search for dropoff points <br /> **Example:
            AB1 2CD => ab12cd**
          schema:
            type: string
          explode: false
        - name: carrier
          in: query
          required: true
          description: Comma seperated list of carriers to fetch dropoff locations
          schema:
            type: array
            items:
              $ref: '#/components/schemas/SupportedPudoCarriers'
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CarrierDropoffLocation'
      security:
        - OAuth2Auth: []
components:
  schemas:
    SupportedPudoCarriers:
      type: string
      enum:
        - EVRI_CORPORATE
        - YODEL
        - ROYAL_MAIL
      description: >-
        Carriers that are currently supported when requesting for drop off
        locations
    CarrierDropoffLocation:
      type: object
      required:
        - id
        - name
        - carrierType
        - latitude
        - longitude
        - addressLine1
        - postCode
      properties:
        id:
          type: string
        name:
          type: string
          description: the name of the drop off points, can be a store name.
        carrierType:
          allOf:
            - $ref: '#/components/schemas/SupportedPudoCarriers'
          description: |+

        latitude:
          type: number
          description: the latitude geo coordinates of the dropoff location
        longitude:
          type: number
          description: the longitude geo coordinates of the dropoff location
        addressLine1:
          type: string
          description: |+

        addressLine2:
          type: string
          description: |+

        addressLine3:
          type: string
          description: |+

        postCode:
          type: string
        city:
          type: string
        openingHours:
          type: array
          items:
            $ref: '#/components/schemas/PudoOpeningHours'
          description: >-
            list of opening hours for this drop off point. Might not be
            available for the given drop off
      description: Carrier Dropoff Location
    PudoOpeningHours:
      type: object
      required:
        - weekDay
        - openTime
        - closeTime
      properties:
        weekDay:
          allOf:
            - $ref: '#/components/schemas/DayOfWeek'
          description: |+

        openTime:
          type: string
          format: time
          description: opening time for drop off location in the format `HH:mm`
        closeTime:
          type: string
          format: time
          description: opening time for drop off location in the format `HH:mm`
      description: Carrier Dropoff Location
    DayOfWeek:
      type: string
      enum:
        - MONDAY
        - TUESDAY
        - WEDNESDAY
        - THURSDAY
        - FRIDAY
        - SATURDAY
        - SUNDAY
  securitySchemes:
    OAuth2Auth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.atlast.co/oauth2/token
          scopes: {}

````